| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
BOOST_SWITCH_NODE_SETTINGS_s Struct Reference

Switching signal timing settings. More...

`#include <power_control/devices/dev_boost_typedef.h>`

Collaboration diagram for BOOST_SWITCH_NODE_SETTINGS_s:

## Data Fields
volatile uint16_t | pwm_instance
| number of the PWM channel used More...
volatile uint16_t | gpio_instance
| GPIO instance of the selected PWM generator. More...
volatile uint16_t | gpio_high
| GPIO port pin-number of PWMxH of the selected PWM generator. More...
volatile uint16_t | gpio_low
| GPIO port pin-number of PWMxL of the selected PWM generator. More...
volatile bool | swap_outputs
| Selecting if PWMxH (default) or PWMxL should be the leading PWM output. More...
volatile bool | master_period_enable
| Selecting MASTER or Individual period register. More...
volatile bool | high_resolution_enable
| Selecting if PWM module should use high-resolution mode. More...
volatile bool | sync_drive
| Selecting if switch node is driven in synchronous or asnchronous mode. More...
volatile uint16_t | period
| Switching period. More...
volatile uint16_t | phase
| Switching signal phase-shift. More...
volatile uint16_t | duty_ratio_init
| Initial duty cycle when the PWM module is being turned on. More...
volatile uint16_t | duty_ratio_min
| Absolute duty cycle minimum during normal operation. More...
volatile uint16_t | duty_ratio_max
| Absolute duty cycle maximum during normal operation. More...
volatile uint16_t | dead_time_rising
| Dead time setting at rising edge of a half-bridge drive. More...
volatile uint16_t | dead_time_falling
| Dead time setting at falling edge of a half-bridge drive. More...
volatile uint16_t | leb_period
| Leading-Edge Blanking period. More...
volatile uint16_t | trigger_scaler
| PWM triggers for ADC will be generated every n-th cycle. More...
volatile uint16_t | trigger_offset
| PWM triggers for ADC will be offset by n cycles. More...

## Detailed Description

Switching signal timing settings.

Definition at line 402 of file dev_boost_typedef.h.

## Field Documentation

## ◆ dead_time_falling

volatile uint16_t dead_time_falling

Dead time setting at falling edge of a half-bridge drive.

Definition at line 418 of file dev_boost_typedef.h.

## ◆ dead_time_rising

volatile uint16_t dead_time_rising

Dead time setting at rising edge of a half-bridge drive.

Definition at line 417 of file dev_boost_typedef.h.

## ◆ duty_ratio_init

volatile uint16_t duty_ratio_init

Initial duty cycle when the PWM module is being turned on.

Definition at line 414 of file dev_boost_typedef.h.

## ◆ duty_ratio_max

volatile uint16_t duty_ratio_max

Absolute duty cycle maximum during normal operation.

Definition at line 416 of file dev_boost_typedef.h.

## ◆ duty_ratio_min

volatile uint16_t duty_ratio_min

Absolute duty cycle minimum during normal operation.

Definition at line 415 of file dev_boost_typedef.h.

## ◆ gpio_high

volatile uint16_t gpio_high

GPIO port pin-number of PWMxH of the selected PWM generator.

Definition at line 406 of file dev_boost_typedef.h.

## ◆ gpio_instance

volatile uint16_t gpio_instance

GPIO instance of the selected PWM generator.

Definition at line 405 of file dev_boost_typedef.h.

## ◆ gpio_low

volatile uint16_t gpio_low

GPIO port pin-number of PWMxL of the selected PWM generator.

Definition at line 407 of file dev_boost_typedef.h.

## ◆ high_resolution_enable

volatile bool high_resolution_enable

Selecting if PWM module should use high-resolution mode.

Definition at line 410 of file dev_boost_typedef.h.

## ◆ leb_period

volatile uint16_t leb_period

Leading-Edge Blanking period.

Definition at line 419 of file dev_boost_typedef.h.

## ◆ master_period_enable

volatile bool master_period_enable

Selecting MASTER or Individual period register.

Definition at line 409 of file dev_boost_typedef.h.

## ◆ period

volatile uint16_t period

Switching period.

Definition at line 412 of file dev_boost_typedef.h.

## ◆ phase

volatile uint16_t phase

Switching signal phase-shift.

Definition at line 413 of file dev_boost_typedef.h.

## ◆ pwm_instance

volatile uint16_t pwm_instance

number of the PWM channel used

Definition at line 404 of file dev_boost_typedef.h.

## ◆ swap_outputs

volatile bool swap_outputs

Selecting if PWMxH (default) or PWMxL should be the leading PWM output.

Definition at line 408 of file dev_boost_typedef.h.

## ◆ sync_drive

volatile bool sync_drive

Selecting if switch node is driven in synchronous or asnchronous mode.

Definition at line 411 of file dev_boost_typedef.h.

## ◆ trigger_offset

volatile uint16_t trigger_offset

PWM triggers for ADC will be offset by n cycles.

Definition at line 421 of file dev_boost_typedef.h.

## ◆ trigger_scaler

volatile uint16_t trigger_scaler

PWM triggers for ADC will be generated every n-th cycle.

Definition at line 420 of file dev_boost_typedef.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/devices/dev_boost_typedef.h